#ifndef CONFIG_H__
#define CONFIG_H__

#include <stdio.h>	/* size_t */

#include "rules.h"

#define ENV_FILE	"CONDNET_CONFIG"
#define ENV_CONFIG	"CONDNET_RULES"
#define CONFIG_FILE	".condnetrc"



extern struct rules *condnet_config;

void config_setup(void);

struct rules *config_from_file(const char *file);
struct rules *config_from_env(void);

void config_free(struct rules *rules);

int config_rule_to_str(char *buf, size_t len,
		const struct connection_rule *rule);

char *strdup_or_null(const char *str); /* XXX */


#endif
