#ifndef MATCH_H__
#define MATCH_H__


#define _GNU_SOURCE
#include <sys/socket.h>	/* sockaddr, socklen_t */

int match_addr(const char *rule, const char *cand);
int match_reverse_addr(const char *rule, const char *addr_str,
		const struct sockaddr *addr, socklen_t addr_len);
int match_node(const char *rule, const char *cand);
int match_service(const char *rule, const char *cand);

#endif
